//toybox.cs

//toybox which refills bricklimits.


//////////
// item //
//////////

datablock ItemData(toybox)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon";
	equipment = true;

	//its already a member of item namespace so dont break it
	//className = "Item"; // For inventory system

	 // Basic Item Properties
	shapeFile = "~/data/shapes/legobucket.dts";
	rotate = true;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	 // Dynamic properties defined by the scripts
	pickUpName = 'a toybox';
	invName = 'Toy Box';
	image = toyboxImage;
};

///////////
// image //
///////////
datablock ShapeBaseImageData(toyboxImage)
{
	// Basic Item properties
	shapeFile = "~/data/shapes/legobucket.dts";
	emap = true;

	// Specify mount point & offset for 3rd person, and eye offset
	// for first person rendering.
	mountPoint = 1;
	offset = "0 0 0";

	// Add the WeaponImage namespace as a parent, WeaponImage namespace
	// provides some hooks into the inventory system.
	className = "WeaponImage";

	item = toybox;
	ammo = " ";
	armReady = true;

};


function toybox::onUse(%this, %player)
{
	%client = %player.client;
	%player = %client.player;
        %player.applyrepair(200);

        if ( $gameon==0 && %client.botcount<$botlimit && %player.currWeaponSlot==5)
          {

          addbot(%client);
          checkbotowners();
          if ($botowners>1)
            {
            if ($countdown==20)
              countdown();
            else
              $countdown=$countdownlimit-1;
            }
          }
        else {
        %client.bricklimit = $Pref::Server::AdminBricklimit; //refillin' bricks
        messageClient(%player.client, 'MsgBrickLimit', 'Brick Limit Renewed.');
	for(%position = 0; %position < 11; %position++)
	{
              if ( %player.inventory[%position] != 0 )
		if( %player.inventory[%position].getID() == %this )
		{
			messageClient(%client, 'MsgItemPickup', '', %position, "");
			%player.inventory[%position] = 0;
		}
	}
       }
}

