//msgCallbacks.cs

//client script, handles messages from the server


addMessageCallback('MsgError', handleError);

function handleError()
{
   //alxPlay(AudioError);
}


addMessageCallback('MsgItemPickup', handleItemPickup);

function handleItemPickup(%msgType, %pickupString, %slot, %invName)
{
   %slot = %slot+1;

   %invName = detag(%invName);
   
   switch (%slot)
   {
      case (1):
         TxtInvSlot1.setValue(%invName);
      case (2):
         TxtInvSlot2.setValue(%invName);
      case (3):
         TxtInvSlot3.setValue(%invName);
      case (4):
         TxtInvSlot4.setValue(%invName);
      case (5):
         TxtInvSlot5.setValue(%invName);   
      case (6):
         TxtInvSlot6.setValue(%invName);
      case (7):
         TxtInvSlot7.setValue(%invName);
      case (8):
         TxtInvSlot8.setValue(%invName);
      case (9):
         TxtInvSlot9.setValue(%invName);
      case (10):
         TxtInvSlot10.setValue(%invName);
   }
   //alxPlay(ItemPickup);
}

       
addMessageCallback('MsgDropItem', handleDropItem);

function handleDropItem(%msgType, %string, %slot)
{
   %slot = %slot+1;

   switch (%slot)
   {
      case (1):
         TxtInvSlot1.setValue("");
         Slot1BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (2):
         TxtInvSlot2.setValue("");
         Slot2BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (3):
         TxtInvSlot3.setValue("");
         Slot3BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (4):
         TxtInvSlot4.setValue("");
         Slot4BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (5):
         TxtInvSlot5.setValue("");
         Slot5BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (6):
         TxtInvSlot6.setValue("");
         Slot6BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (7):
         TxtInvSlot7.setValue("");
         Slot7BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (8):
         TxtInvSlot8.setValue("");
         Slot8BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (9):
         TxtInvSlot9.setValue("");
         Slot9BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (10):
         TxtInvSlot10.setValue("");
         Slot10BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
    }
   //alxPlay(ItemDrop);
}

addMessageCallback('MsgClearInv', handleClearInv);

function handleClearInv(%msgType)
{
   //clear the inventory gui
   $invHilight = -1;

   TxtInvSlot1.setValue("");
   TxtInvSlot2.setValue("");
   TxtInvSlot3.setValue("");
   TxtInvSlot4.setValue("");
   TxtInvSlot5.setValue("");
   TxtInvSlot6.setValue("");
   TxtInvSlot7.setValue("");
   TxtInvSlot8.setValue("");
   TxtInvSlot9.setValue("");
   TxtInvSlot10.setValue("");

   Slot1BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot2BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot3BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot4BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot5BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot6BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot7BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot8BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot9BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   Slot10BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
}
       
addMessageCallback('MsgHilightInv', handleHilightInv);

function handleHilightInv(%msgType, %msgString, %slot)
{
   %slot++;

   //turn off current hilight
   switch($invHilight)
   {
      case (1):
         Slot1BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (2):
         Slot2BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (3):
         Slot3BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (4):
         Slot4BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (5):
         Slot5BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (6):
         Slot6BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (7):
         Slot7BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (8):
         Slot8BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (9):
         Slot9BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (10):
         Slot10BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   }

   switch (%slot)
   {
      case (1):
         Slot1BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (2):
         Slot2BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (3):
         Slot3BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (4):
         Slot4BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (5):
         Slot5BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (6):
         Slot6BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (7):
         Slot7BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (8):
         Slot8BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (9):
         Slot9BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
      case (10):
         Slot10BG.setBitmap("TBM/client/ui/GUIBrickSideHilight.png");
   }

   //remember which one we have hilighted
   $invHilight = %slot;
}

addMessageCallback('MsgEquipInv', handleEquipInv);

function handleEquipInv(%msgType, %msgString, %slot)
{
   %slot++;
   switch (%slot)
   {
      case (1):
         Slot1BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (2):
         Slot2BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (3):
         Slot3BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (4):
         Slot4BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (5):
         Slot5BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (6):
         Slot6BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (7):
         Slot7BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (8):
         Slot8BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (9):
         Slot9BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
      case (10):
         Slot10BG.setBitmap("TBM/client/ui/GUIBrickSideEquip.png");
   }
}

addMessageCallback('MsgDeEquipInv', handleDeEquipInv);

function handleDeEquipInv(%msgType, %msgString, %slot)
{
   %slot++;
   switch (%slot)
   {
      case (1):
         Slot1BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (2):
         Slot2BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (3):
         Slot3BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (4):
         Slot4BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (5):
         Slot5BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (6):
         Slot6BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (7):
         Slot7BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (8):
         Slot8BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (9):
         Slot9BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
      case (10):
         Slot10BG.setBitmap("TBM/client/ui/GUIBrickSide.png");
   }
}